- Main Page
- Classes
- Files
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# CORBA::Context Class Reference

CORBA::Context. More...

`#include <Context.h>`

List of all members.

## Public Types
typedef CORBA::Context_ptr | _ptr_type
typedef CORBA::Context_var | _var_type
## Public Member Functions
| Context (void)
| ~Context (void)
CORBA::ULong | _incr_refcnt (void)
CORBA::ULong | _decr_refcnt (void)
const char * | context_name () const
CORBA::Context_ptr | parent () const
void | create_child (const char *child_ctx_name, CORBA::Context_out child_ctx)
void | set_one_value (const char *propname, const CORBA::Any &propvalue)
void | set_values (CORBA::NVList_ptr values)
void | delete_values (const char *propname)
void | get_values (const char *start_scope, CORBA::Flags op_flags, const char *pattern, CORBA::NVList_ptr &values)
## Static Public Member Functions
static Context * | _duplicate (Context *)
static Context * | _nil (void)
## Private Attributes
ACE_Atomic_Op< TAO_SYNCH_MUTEX, CORBA::ULong > | refcount_
| Reference counter.

## Detailed Description

CORBA::Context.

TAO's minimal implementation of the Context interface. Since Contexts are inherently un-typesafe, there use is deprecated and the feature may eventaully disappear from CORBA. It is implemented only to make the arg list of CORBA::Object::_create_request() compliant. The only (pointer) value that should be passed is 0.

## Member Typedef Documentation

typedef CORBA::Context_ptr CORBA::Context::_ptr_type

typedef CORBA::Context_var CORBA::Context::_var_type

## Constructor & Destructor Documentation

TAO_BEGIN_VERSIONED_NAMESPACE_DECL CORBA::Context::Context | ( | void |  | ) |

CORBA::Context::~Context | ( | void |  | ) |

## Member Function Documentation

CORBA::ULong CORBA::Context::_decr_refcnt | ( | void |  | ) |

static Context* CORBA::Context::_duplicate | ( | Context * |  | ) | `[static]`

CORBA::ULong CORBA::Context::_incr_refcnt | ( | void |  | ) |

ACE_INLINE CORBA::Context_ptr CORBA::Context::_nil | ( | void |  | ) | `[static]`

const char * CORBA::Context::context_name | ( |  | ) | const

void CORBA::Context::create_child | ( | const char * | child_ctx_name,
|  | CORBA::Context_out | child_ctx |
| ) |  |  |

void CORBA::Context::delete_values | ( | const char * | propname | ) |

void CORBA::Context::get_values | ( | const char * | start_scope,
|  | CORBA::Flags | op_flags,
|  | const char * | pattern,
|  | CORBA::NVList_ptr & | values |
| ) |  |  |

CORBA::Context_ptr CORBA::Context::parent | ( |  | ) | const

void CORBA::Context::set_one_value | ( | const char * | propname,
|  | const CORBA::Any & | propvalue |
| ) |  |  |

void CORBA::Context::set_values | ( | CORBA::NVList_ptr | values | ) |

## Member Data Documentation

ACE_Atomic_Op<TAO_SYNCH_MUTEX, CORBA::ULong> CORBA::Context::refcount_`[private]`

Reference counter.

The documentation for this class was generated from the following files:

- Context.h
- Context.cpp
- Context.inl